Subject: Comments on draft-ietf-svrloc-ipv6-06.txt

From: Erik Nordmark <[email-masked]>
Date: Tue, 21 Sep 1999 18:22:11 -0700 (PDT)

I don't understand the text in section 3.
Part of the problem is that terms like "link local advertisement" and
"routable addresses" are not defined.
(Is a link local advertisement an advertisement sent to a link-local
address or an advertisement that contains a link-local address?
All addresses are routable within some scope - does "routable"
mean "globally routable" or something else.)
But the more fundamental question is the need for these
restrictions.
Isn't it sufficient to tie the scope of the destination address
of the packet to the scope of the address in the service: URL?
Thus the limitation would be that a server: URL can not contain
a literal IPv6 address which has a scope which is smaller than the
scope of the IPv6 destination address.

In addition, the section needs to clarify the issues for multihomed
and multi-sited nodes (nodes connected to different sites) but
there is no need to forbid the DA or SA to be multihomed.
The constraint on multihomed and multi-sited nodes is that
a service: URL with a literal IPv6 address that is less than global scope
can only be advertised to the site (for site-local) or link (for link-local)
over which the IPv6 address was learned.
 
In section 5.1 is lists some multicast address with a wildcard 'X'.
What does this mean for an implementation? Is it supposed to
join the multicast group for all values of X (0 through 0xF)?
How does the client determine which value of X to use?

The examples in section 4 appear to use badly formed addresses.
It would make sense to use addresses which follow the EUI 64 format
i.e. with 0xfffe in the middle and with a non-zero subnet/SLA field.

Thus change
	fec0::a3f9:251c:1291:109d
to
	fec0::323:a3f9:25ff:fe91:109d

and change
	fe80::015a:93c0:d85d:b098
to
	fe80::a15a:93ff:fe6d:b098

  Erik

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------